// soap12testhdrUltRcv.idl : IDL source for soap12testhdrUltRcv
//

// This file will be processed by the MIDL tool to
// produce the type library (soap12testhdrUltRcv.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(BC42880A-FAE7-4A22-AEE3-171ADDAACA12),
	dual,
	nonextensible,
	helpstring("Isoap12testhdrUltRcvObj Interface"),
	pointer_default(unique)
]
interface Isoap12testhdrUltRcvObj : IDispatch{
	[id(1), helpstring("method OnProcessHeader")] HRESULT OnProcessHeader([in] VARIANT SOAPMsgInterface, [out, retval] VARIANT_BOOL *pResult);
	[id(2), helpstring("method OnTestMUHeaderBlock")] HRESULT OnTestMUHeaderBlock([in] BSTR bstrNamespace, [in] BSTR bstrLocalName, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(476D3122-A317-412B-BDF1-FFA3C9535C2D),
	version(1.0),
	helpstring("soap12testhdrUltRcv 1.0 Type Library")
]
library soap12testhdrUltRcvLib
{
	importlib("stdole2.tlb");
	[
		uuid(DA554D02-F888-4349-B5C7-1D8AF5ECE8F5),
		helpstring("soap12testhdrUltRcvObj Class")
	]
	coclass soap12testhdrUltRcvObj
	{
		[default] interface Isoap12testhdrUltRcvObj;
	};
};
